GET Contact/{id}/Summary
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
GET /api/v1/Contact/{contactId}/Summary
Get summary of contact and its recent activity.
| Path Part | Type | Description |
|---|---|---|
| contactId | int32 | The contact id to summarize. Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| limit | int32 | Max number of items to include in summary lists. |
GET /api/v1/Contact/{contactId}/Summary?limit=301
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ContactSummary
| Property Name | Type | Description |
|---|---|---|
| Contact | Contact | Simple Contact data. |
| Tickets | array | Recent tickets on contact |
| Followups | array | Recent follow-ups on contact |
| Documents | array | Recent documents on contact |
| Sales | array | Recent sales on contact |
| Chats | array | Recent chats with contact |
Sample request
GET /api/v1/Contact/{contactId}/Summary
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Contact": null,
"Tickets": [
{
"TicketId": 880,
"TicketStatus": 837,
"Title": "commodi",
"Registered": "2001-02-27T14:34:01.8188302+01:00",
"IconHint": "occaecati"
},
{
"TicketId": 880,
"TicketStatus": 837,
"Title": "commodi",
"Registered": "2001-02-27T14:34:01.8188302+01:00",
"IconHint": "occaecati"
}
],
"Followups": [
{
"AppointmentId": 446,
"DocumentId": 930,
"Date": "2010-08-07T14:34:01.8188302+02:00",
"Description": "Multi-tiered didactic infrastructure",
"Completed": "Completed",
"Registered": "2021-03-13T14:34:01.8188302+01:00"
},
{
"AppointmentId": 446,
"DocumentId": 930,
"Date": "2010-08-07T14:34:01.8188302+02:00",
"Description": "Multi-tiered didactic infrastructure",
"Completed": "Completed",
"Registered": "2021-03-13T14:34:01.8188302+01:00"
}
],
"Documents": [
{
"AppointmentId": 375,
"DocumentId": 599,
"Date": "2005-01-06T14:34:01.8188302+01:00",
"Description": "Compatible mission-critical capacity",
"Completed": "Completed",
"Registered": "2020-11-08T14:34:01.8188302+01:00"
},
{
"AppointmentId": 375,
"DocumentId": 599,
"Date": "2005-01-06T14:34:01.8188302+01:00",
"Description": "Compatible mission-critical capacity",
"Completed": "Completed",
"Registered": "2020-11-08T14:34:01.8188302+01:00"
}
],
"Sales": [
{
"SaleId": 9,
"SaleDate": "2021-03-28T14:34:01.8188302+02:00",
"Probability": 987,
"Heading": "veritatis",
"Amount": 21057.345999999998,
"Currency": "impedit",
"AmountInBaseCurrency": 11937.405999999999,
"Status": "Lost",
"Completed": "Completed",
"Registered": "2022-12-31T14:34:01.8198296+01:00"
}
],
"Chats": [
{
"ChatSessionId": 296,
"Name": "Global Industries Ltd",
"CompanyName": "Hegmann-Kuphal",
"FirstMessage": "blanditiis",
"LastMessage": "omnis",
"WhenRequested": "2019-03-11T14:34:01.8198296+01:00",
"WhenEnded": "2004-10-13T14:34:01.8198296+02:00"
}
]
}